Kubernetes Cluster

  • PATCH
  • /workspaces
  • /:workspace
  • /targets
  • /:target_id
  • /yaml

Update target from YAML

Request

REQUIRED SCOPES
TARGET_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

target_idrequiredstring
Target unique identifier (hash ID)

Example: "tgt-1234567890abcdef"

BODY PARAMETERS
yamlstring
The Base64-encoded YAML definition of the target

Response

RESPONSE BODY
typestring
The type of the target

Value: K8S_CLUSTER

urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
Short representation of an environment object
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
integrationstring
The integration. Required when adding GKE/EKS/AKS/DOKS
clusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster
regionstring
Cloud region of the cluster, e.g. eu-central-1 (EKS), us-central1 (GKE), eastus (AKS), nyc1 (DOKS)
proxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL servers
authrequiredK8sAuthView
Kubernetes cluster authentication method

Last modified on Aug 13, 2026

Request example

CURL
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/targets/:target_id/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK